var adDiv;
var videoTrackers = [];

function initEB() {
    if (!EB.isInitialized()) {
        EB.addEventListener(EBG.EventName.EB_INITIALIZED, startAd);
    } else {
        startAd();
    }
}

function startAd() {
    adDiv = document.getElementById("ad");
	trackVideoInteractions();
    addEventListeners();
}

function addEventListeners() {
    document.getElementById("clickthrough-button").addEventListener("click", clickthrough);
}

function clickthrough() {
	pauseAllVideos();
    EB.clickthrough();
}


function trackVideoInteractions() {
	var videos = document.getElementsByTagName("video");

	for (var i = 0; i < videos.length; i++) {
		videoTrackers.push(new EBG.VideoModule(videos[i]));
	}
}

function pauseAllVideos() {
	var videos = document.getElementsByTagName("video");

	for (var i = 0; i < videos.length; i++) {
		videos[i].pause();
	}
}

window.addEventListener("load", initEB);
